
package eu.dnetlib.dhp.oa.graph.dump.skgif.beans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import eu.dnetlib.dhp.skgif.model.Relations;

/**
 * @author miriam.baglioni
 * @Date 16/02/24
 */
public class RelationPerProduct implements Serializable {

	private String resultId;
	private List<String> organizations;
	private List<String> funding;
	private List<Relations> relatedProduct;

	public RelationPerProduct() {
		organizations = new ArrayList<>();
		funding = new ArrayList<>();
		relatedProduct = new ArrayList<>();
	}

	public String getResultId() {
		return resultId;
	}

	public void setResultId(String resultId) {
		this.resultId = resultId;
	}

	public List<String> getOrganizations() {
		return organizations;
	}

	public void setOrganizations(List<String> organizations) {
		this.organizations = organizations;
	}

	public List<String> getFunding() {
		return funding;
	}

	public void setFunding(List<String> funding) {
		this.funding = funding;
	}

	public List<Relations> getRelatedProduct() {
		return relatedProduct;
	}

	public void setRelatedProduct(List<Relations> relatedProduct) {
		this.relatedProduct = relatedProduct;
	}
}
